Package ru.bitel.bgbilling.plugins.edo.common.bean

# Class DocInfo

java.lang.Object
ru.bitel.bgbilling.plugins.edo.common.bean.DocInfo

public class DocInfo extends Object
Инфа о документе для отправки в ЭДО. Используется для задания доп.инфы при отправке неформализованного документа.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DocInfo()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComment()`
  `LocalDate`
  `getDate()`
  `String`
  `getNumber()`
  `LocalDate`
  `getPeriodStart()`
  `LocalDate`
  `getPeriodStop()`
  `BigDecimal`
  `getSum()`
  `LocalDate`
  `getTerm()`
  `DocTypeEnum`
  `getType()`
  `void`
  `setComment(String comment)`
  `void`
  `setDate(LocalDate date)`
  `void`
  `setNumber(String number)`
  `void`
  `setPeriodStart(LocalDate periodStart)`
  `void`
  `setPeriodStop(LocalDate periodStop)`
  `void`
  `setSum(BigDecimal sum)`
  `void`
  `setTerm(LocalDate term)`
  `void`
  `setType(DocTypeEnum type)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DocInfo

    public DocInfo()

- ## Method Details

  - ### getNumber

    public String getNumber()

  - ### setNumber

    public void setNumber(String number)

  - ### getDate

    public LocalDate getDate()

  - ### setDate

    public void setDate(LocalDate date)

  - ### getSum

    public BigDecimal getSum()

  - ### setSum

    public void setSum(BigDecimal sum)

  - ### getType

    public DocTypeEnum getType()

  - ### setType

    public void setType(DocTypeEnum type)

  - ### getTerm

    public LocalDate getTerm()

  - ### setTerm

    public void setTerm(LocalDate term)

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### getPeriodStart

    public LocalDate getPeriodStart()

  - ### setPeriodStart

    public void setPeriodStart(LocalDate periodStart)

  - ### getPeriodStop

    public LocalDate getPeriodStop()

  - ### setPeriodStop

    public void setPeriodStop(LocalDate periodStop)